org.eclipse.eef.core.api.controllers

## Interface IEEFWidgetController

All Superinterfaces:
  IEEFController

All Known Subinterfaces:
  IEEFButtonController, IEEFCheckboxController, IEEFHyperlinkController, IEEFLabelController, IEEFListController, IEEFMultipleReferencesController, IEEFOnClickController, IEEFRadioController, IEEFSelectController, IEEFTextController

All Known Implementing Classes:
  AbstractEEFCustomWidgetController, AbstractEEFOnClickController, AbstractEEFWidgetController, EEFButtonController, EEFCheckboxController, EEFHyperlinkController, EEFLabelController, EEFListController, EEFRadioController, EEFSelectController, EEFTextController

    public interface IEEFWidgetController
    extends IEEFController

The Widget controller is responsible for the refresh of the label of a widget.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `computeHelp()` Compute the help message.
`void` `onNewHelp(java.util.function.Consumer<java.lang.String> consumer)` Registers a consumer which will be called with the new value of the help.
`void` `onNewLabel(java.util.function.Consumer<java.lang.String> consumer)` Register a consumer which will be called with the new value of the label when it will change.
`void` `removeNewHelpConsumer()` Removes the consumer of the new value of the help.
`void` `removeNewLabelConsumer()` Remove the consumer of the new value of the label.

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFController

`onValidation, refresh, removeValidationConsumer`

### Method Detail

#### onNewLabel

    void onNewLabel(java.util.function.Consumer<java.lang.String> consumer)

Register a consumer which will be called with the new value of the label when it will change.

Parameters:
  `consumer` - The consumer of the new value of the label

#### removeNewLabelConsumer

    void removeNewLabelConsumer()

Remove the consumer of the new value of the label.

#### onNewHelp

    void onNewHelp(java.util.function.Consumer<java.lang.String> consumer)

Registers a consumer which will be called with the new value of the help.

Parameters:
  `consumer` - The consumer of the new value of the help

#### removeNewHelpConsumer

    void removeNewHelpConsumer()

Removes the consumer of the new value of the help.

#### computeHelp

    void computeHelp()

Compute the help message.